XmlListAttribute (Struts Tiles 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlListAttribute

    java.lang.Object
      org.apache.struts.tiles.xmlDefinition.XmlAttribute
          org.apache.struts.tiles.xmlDefinition.XmlListAttribute

    public class XmlListAttribute

extends XmlAttribute

An attribute as a `List`. This attribute associates a name with a list. The list can be found by the property name. Elements in list are retrieved using List methods. This class is used to read configuration files.

Constructor Summary
`XmlListAttribute()` Constructor.
`XmlListAttribute(String name, List value)` Constructor.

Method Summary
`void` | `add(Object value)` Add an element in list.
`void` | `add(XmlAttribute element)` Add an element in list.
`void` | `addObject(Object value)` Add an element in list.

Methods inherited from class org.apache.struts.tiles.xmlDefinition.XmlAttribute
`computeRealValue, getAttribute, getName, getRole, getValue, setAttribute, setBody, setContent, setDirect, setName, setRole, setType, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlListAttribute

    public XmlListAttribute()

  Constructor.

### XmlListAttribute

    public XmlListAttribute(String name,
                            List value)

  Constructor.

  Parameters:
    `name` - Name.
    `value` - List.

Method Detail

### add

    public void add(XmlAttribute element)

  Add an element in list. We use a property to avoid rewriting a new class.

  Parameters:
    `element` - XmlAttribute to add.

### add

    public void add(Object value)

  Add an element in list.

  Parameters:
    `value` - Object to add.

### addObject

    public void addObject(Object value)

  Add an element in list.

  Parameters:
    `value` - Object to add.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.